### Enumeration

# Cogl SubpixelOrder

#### Declaration

    enum Cogl.SubpixelOrder

#### Description [src]

Some output devices (such as LCD panels) display colors by making each pixel consist of smaller “subpixels” that each have a particular color. By using knowledge of the layout of this subpixel components, it is possible to create image content with higher resolution than the pixel grid.

#### Members

`COGL_SUBPIXEL_ORDER_UNKNOWN`

  The layout of subpixel components for the device is unknown.

  - Value: `0`
  - Available since: 14
`COGL_SUBPIXEL_ORDER_NONE`

  The device displays colors without geometrically-separated subpixel components, or the positioning or colors of the components do not match any of the values in the enumeration.

  - Value: `1`
  - Available since: 14
`COGL_SUBPIXEL_ORDER_HORIZONTAL_RGB`

  The device has horizontally arranged components in the order red-green-blue from left to right.

  - Value: `2`
  - Available since: 14
`COGL_SUBPIXEL_ORDER_HORIZONTAL_BGR`

  The device has horizontally arranged components in the order blue-green-red from left to right.

  - Value: `3`
  - Available since: 14
`COGL_SUBPIXEL_ORDER_VERTICAL_RGB`

  The device has vertically arranged components in the order red-green-blue from top to bottom.

  - Value: `4`
  - Available since: 14
`COGL_SUBPIXEL_ORDER_VERTICAL_BGR`

  The device has vertically arranged components in the order blue-green-red from top to bottom.

  - Value: `5`
  - Available since: 14